EDIT - task #8456

FieldUnitDTO: remove newlnstanceMethod
08/12/2019 05:31 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.10

Severity: normal

Description

copied from #8414
FieldUnitDTO providing a newlnstance method. This has to be removed:

/‘k*
* @param fieldUnit
*/
public FieldUnitDTO (FieldUnit fieldUnit) ({
super (fieldUnit) ;

public static FieldUnitDTO newlInstance (FieldUnit fieldUnit) {
FieldUnitDTO fieldUnitDto = new FieldUnitDTO (fieldUnit);
if (fieldUnit.getGatheringEvent () != null) {
fieldUnitDto.gatheringEvent = GatheringEventDTO.newInstance (fieldUnit.getGatheringEven
t0));
}
fieldUnitDto.setRecordBase (fieldUnit.getRecordBasis () .getMessage());
fieldUnitDto.setListLabel (fieldUnit.getTitleCache());

return fieldUnitDto;

is this by purpose? To me this looks like an error....
maybe this can be included into the constructor.
OccurrenceServicelmpl.assembleFieldUnitDTO(..) is using the constructor and adds the gathering event to the dto which is done in

the newlnstance method. --> TODO: needs review and harmonization (I think the newlInstance Method should be removed
completely as it causes confusion)

Related issues:
Related to EDIT - task #8425: FieldUnitDTO: remove taxonRelatedDerivedUnits Closed
Copied from EDIT - task #8414: occurrence controller code cleaning and harmon... Closed

Associated revisions

Revision ed34f59f - 09/17/2019 11:31 AM - Katja Luther

fix #8456: remove newlnstance methof in FieldUnitDTO

Revision a853ae40 - 09/17/2019 12:19 PM - Katja Luther
fix NPE in FieldUnitDto

History

#1 - 08/12/2019 05:33 PM - Andreas Kohlbecker
- Related to task #8457: FieldUnitDTO: remove taxonRelatedDerivedUnits added
#2 - 08/12/2019 05:35 PM - Andreas Kohlbecker

- Copied from task #8414: occurrence controller code cleaning and harmonization added

#3 - 08/12/2019 05:36 PM - Andreas Kohlbecker
- Related to deleted (task #8457: FieldUnitDTO: remove taxonRelatedDerivedUnits)

#4 - 08/12/2019 05:37 PM - Andreas Kohlbecker
- Related to task #8425: FieldUnitDTQO: remove taxonRelatedDerivedUnits added

#5 - 08/12/2019 05:42 PM - Andreas Kohlbecker

- Tracker changed from bug to task

#6 - 08/12/2019 11:36 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.10

Passing this ticket to Katja or Patrick as | never worked on/with this class.

Note: syntax of the method name is also not according to our standards. If it stays we should call it "NewlInstance

#7 - 09/17/2019 11:31 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|ed34{59fbc07b3029f7¢c6{939d2108fc324a7d08.

#8 - 09/17/2019 11:31 AM - Katja Luther
- Assignee changed from Katja Luther to Patrick Plitzner

- % Done changed from 50 to 0

please review

#9 - 09/18/2019 04:08 PM - Patrick Plitzner
- Status changed from Resolved to Feedback
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 90

Iooks fine. Only on questlon Why did you remove the nuII check when creating the Gatherngvent ->

before:
if (fieldUnit.getGatheringEvent () != null) {
fieldUnitDto.gatheringEvent = GatheringEventDTO.newInstance (fieldUnit.getGatheringEvent ());
}
fieldUnitDto.setRecordBase (fieldUnit.getRecordBasis () .getMessage ());
fieldUnitDto.setListLabel (fieldUnit.getTitleCache());
after:

public FieldUnitDTO (FieldUnit fieldUnit) {
super (fieldUnit);
gatheringEvent = GatheringEventDTO.newInstance (fieldUnit.getGatheringEvent());
setRecordBase (fieldUnit.getRecordBasis () .getMessage ());
setListLabel (fieldUnit.getTitleCache());

#10 - 09/18/2019 04:30 PM - Katja Luther

Patrick Plitzner wrote:

looks fine. Only on question: Why did you remove the null check when creating the GatheringEvent ->
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/revisions/ed34f59fbc07b3029f7c6f939d2108fc324a7d08/diff
before:

if (fieldUnit.getGatheringEvent () != null) {
fieldUnitDto.gatheringEvent = GatheringEventDTO.newInstance (fieldUnit.getGatheringEvent ());
}
fieldUnitDto.setRecordBase (fieldUnit.getRecordBasis () .getMessage());
fieldUnitDto.setListLabel (fieldUnit.getTitleCache());

after:
public FieldUnitDTO (FieldUnit fieldUnit) {
super (fieldUnit);
gatheringEvent = GatheringEventDTO.newlInstance (fieldUnit.getGatheringEvent ());

setRecordBase (fieldUnit.getRecordBasis () .getMessage ());
setListLabel (fieldUnit.getTitleCache());

the null check is now in the gatheringEventDto
#11 - 09/18/2019 04:39 PM - Patrick Plitzner
Katja Luther wrote:

the null check is now in the gatheringEventDto

The parameter gathering is not checked in the newlInstance() method.
public static GatheringEventDTO newlInstance (GatheringEvent gathering) {

GatheringEventDTO dto = new GatheringEventDTO();
gathering = HibernateProxyHelper.deproxy (gathering);
if (gathering.getLocality () != null){

That code woul fail if gathering was null.

#12 - 09/18/2019 04:41 PM - Katja Luther

Katja Luther wrote:

Patrick Plitzner wrote:

looks fine. Only on question: Why did you remove the null check when creating the GatheringEvent ->
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/revisions/ed34f59fbc07b3029f7c6f939d2108fc324a7d08/diff

before:
if (fieldUnit.getGatheringEvent () != null) {
fieldUnitDto.gatheringEvent = GatheringEventDTO.newInstance (fieldUnit.getGatheringEvent ());
}
fieldUnitDto.setRecordBase (fieldUnit.getRecordBasis () .getMessage()) ;
fieldUnitDto.setListLabel (fieldUnit.getTitleCache());
after:

public FieldUnitDTO (FieldUnit fieldUnit) {
super (fieldUnit) ;
gatheringEvent = GatheringEventDTO.newInstance (fieldUnit.getGatheringEvent());
setRecordBase (fieldUnit.getRecordBasis () .getMessage());
setListLabel (fieldUnit.getTitleCache());

the null check is now in the gatheringEventDto

do you have the actual code??

in my repository it looks like this:

public FieldUnitDTO(FieldUnit fieldUnit) {
super (fieldUnit);

if (fieldUnit.getGatheringEvent () != null) {
gatheringEvent = GatheringEventDTO.newInstance (fieldUnit.getGatheringEvent());
setRecordBase (fieldUnit.getRecordBasis () .getMessage ());

setListLabel (fieldUnit.getTitleCache());

#13 - 09/18/2019 04:50 PM - Katja Luther

sorry | missed to add the last commit to this ticket.

#14 - 09/18/2019 04:51 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

#15 - 09/18/2019 04:53 PM - Patrick Plitzner

- Status changed from Resolved to Closed

- Assignee changed from Patrick Plitzner to Katja Luther
- % Done changed from 90 to 100

Katja Luther wrote:

sorry | missed to add the last commit to this ticket.

Yes, | just realized that, too.

cdmlib|a853ae404e985th1a72c7f1ea1561c01424f603b is missing in this ticket
